Package com.macrofocus.high_d.mds.spring

# Class FastNeighbouringSamplingSpringMDSEngine

java.lang.Object
com.macrofocus.high_d.mds.AbstractMDSEngine
com.macrofocus.high_d.mds.spring.SpringMDSEngine
com.macrofocus.high_d.mds.spring.FastNeighbouringSamplingSpringMDSEngine

All Implemented Interfaces:
  `MDSEngine`

public final class FastNeighbouringSamplingSpringMDSEngine extends SpringMDSEngine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FastNeighbouringSamplingSpringMDSEngine(SpringModel spring, com.macrofocus.molap.dataframe.matrix.Matrix dist, int length, CPExecutor executor)`
  `FastNeighbouringSamplingSpringMDSEngine(CPExecutor executor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CPExecutor.Command`
  `createRunCommand()`
  `protected com.macrofocus.molap.dataframe.matrix.Matrix`
  `getDistanceTable()`
  `MDSModel`
  `getModel()`
  `void`
  `setDampingConstant(double dampingConstant)`
  `void`
  `setDeltaTime(double deltaTime)`
  `void`
  `setGroundDampingConstant(double groundDampingConstant)`
  `void`
  `setGroundForceOn(boolean groundForceOn)`
  `void`
  `setGroundSpringConstant(double groundSpringConstant)`
  `void`
  `setLayoutBounds(double layoutBounds)`
  `void`
  `setLength(int length)`
  `void`
  `setNumNeighbours(int numNeighbours)`
  `void`
  `setNumSamples(int numSamples)`
  `void`
  `setObjectMass(double objectMass)`
  `void`
  `setParameters(SpringModel spring, com.macrofocus.molap.dataframe.matrix.Matrix dist, int length)`
  `void`
  `setRandomizeSampleEvery(int randomizeSampleEvery)`
  `void`
  `setSpringConstant(double springConstant)`

  ### Methods inherited from class com.macrofocus.high_d.mds.AbstractMDSEngine

  `addEngineListener, computeStress, isAlive, isInterrupted, notifyEngineFinished, notifyEngineIterated, removeEngineListener, startEngine, stopEngine`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FastNeighbouringSamplingSpringMDSEngine

    public FastNeighbouringSamplingSpringMDSEngine(CPExecutor executor)

  - ### FastNeighbouringSamplingSpringMDSEngine

    public FastNeighbouringSamplingSpringMDSEngine(SpringModel spring, com.macrofocus.molap.dataframe.matrix.Matrix dist, int length, CPExecutor executor)

- ## Method Details

  - ### getModel

    public MDSModel getModel()

  - ### getDistanceTable

    protected com.macrofocus.molap.dataframe.matrix.Matrix getDistanceTable()
    Specified by:
      `getDistanceTable` in class `AbstractMDSEngine`

  - ### setParameters

    public void setParameters(SpringModel spring, com.macrofocus.molap.dataframe.matrix.Matrix dist, int length)
    Specified by:
      `setParameters` in class `SpringMDSEngine`

  - ### setLength

    public void setLength(int length)

  - ### createRunCommand

    public CPExecutor.Command createRunCommand()
    Specified by:
      `createRunCommand` in class `AbstractMDSEngine`

  - ### setGroundDampingConstant

    public void setGroundDampingConstant(double groundDampingConstant)

  - ### setDampingConstant

    public void setDampingConstant(double dampingConstant)

  - ### setDeltaTime

    public void setDeltaTime(double deltaTime)

  - ### setGroundForceOn

    public void setGroundForceOn(boolean groundForceOn)

  - ### setGroundSpringConstant

    public void setGroundSpringConstant(double groundSpringConstant)

  - ### setLayoutBounds

    public void setLayoutBounds(double layoutBounds)

  - ### setNumNeighbours

    public void setNumNeighbours(int numNeighbours)

  - ### setNumSamples

    public void setNumSamples(int numSamples)

  - ### setObjectMass

    public void setObjectMass(double objectMass)

  - ### setSpringConstant

    public void setSpringConstant(double springConstant)

  - ### setRandomizeSampleEvery

    public void setRandomizeSampleEvery(int randomizeSampleEvery)